curl --request GET \
--url https://api.zapier.com/v2/promotions/{enrollment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v2/promotions/{enrollment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v2/promotions/{enrollment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"promotion_id": "test_promo",
"enrollment_date": "2026-04-28T00:00:00Z",
"expiration_date": "2026-07-26T23:59:59Z",
"task_limit_per_month": 5,
"tasks_used_this_month": 0,
"status": "enrolled"
}{
"errors": [
{
"status": "401",
"code": "not_authenticated",
"title": "User Not Authenticated",
"detail": "User must be authenticated to access this resource. No valid user access token was provided."
}
]
}{
"errors": [
{
"status": "403",
"code": "permission_denied",
"title": "Permission Denied",
"detail": "You do not have permission to perform this action."
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Get Promotion Enrollment
Retrieve promotion enrollment details by enrollment ID.
Endpoint available to Partners only. The request must be authenticated by a user access token that the user has granted to the Partner for the account.
OAuth
This endpoint requires the promotions:read OAuth scope.
Authorizations
The user access token for the user you would like to enroll. See our OAuth2 authentication documentation.
Path Parameters
Response
Succcessful retrieval of promotion details
Succcessful retrieval of promotion details
The unique identifier for the promotion
Date and time of enrollment
Date and time when the promotion expires
Maximum number of tasks allowed per monthly billing cycle
Number of tasks already used this monthly billing cycle (may not align with calendar month)
Current status of the enrollment
Was this page helpful?